Subject: Problem with upgrade

Posted on: 02/12/10 01:15am
By: pamur

You will have to be patient with me I am not one of your unix masters.

I was running a 1.51 version of Geeklog just fine. I had installed it from my webhost's cpanel setup. The only thing I had done, other than the configuration options, was change the theme. I decided to upgrade to 1.61 (which was the most recent upgrade the webhost offered) by using the built in upgrade. After the upgrade I am getting a bare page with no error message but just a few pieces of the front page and nothing from my old dataset. It has the heading with the geeklog logo and a note that there is no news to display. There are no other page objects. I got very little help from the hosts and I haven't got the patience to deal with them. Do you have any idea as to where to start. I did try to update the theme (Smooth_Blue) to a 1.61 version. Thanks.

Re: Problem with upgrade

Posted on: 02/12/10 10:59am
By: 1000ideen

Best for troubleshooting is theme 'professional'.

Re: Problem with upgrade

Posted on: 02/12/10 11:32am
By: pamur

Thanks, that sounds like the right thing to do but I can't get at the configuration page from the front page to change it. How do I set the theme by hand? Where is the switch located.

Re: Problem with upgrade

Posted on: 02/12/10 12:37pm
By: pamur

It looks like I am getting nothing from the database. I looked at the tables and there is two sets of tables in the database. One set with a prefix of gl_ and another set with a prefix of g2_ Does that sound right? Was there a database conversion between version 1.51 and 1.61? I am really grasping at straws here.


edit: The db-config.php file specified a prefix of gl_ When I changed it to g2_ the page completely failed to open. When I enabled root debugging I got the following error followed by a few pages of code,
---
2 - require_once(.php) [function.require-once]: failed to open stream: No such file or directory @ /home/timepa5/public_html/timelog2/lib-common.php line 383
--

Re: Problem with upgrade

Posted on: 02/12/10 04:50pm
By: 1000ideen

These automatics are a bit particular, I used them once for testing to understand it but :shock:

I suppose g2_ was created for the new version by fantastico.

What file is being requested in lib-common.php line 383 ? See if it is missing.

Re: Problem with upgrade

Posted on: 02/12/10 05:25pm
By: pamur

I'm not quite sure what line 383 is looking for. Here is the line. Is it looking for a path to the .php compiler?

require_once $_CONF['path_language'] . $_CONF['language'] . '.php';

edit: This looks like the line of code in the source code shown on the left

Re: Problem with upgrade

Posted on: 02/12/10 05:43pm
By: pamur

I renamed the Smooth_Blue theme folder and the system reverted to the default professional theme. Here is what I am getting. Just getting nothing from the database.

http://www.timepage.org/timelog2/

This is with the record prefix set to gl_ (interestingly there is no data in the gl_ records) With the record prefix set to G2_ ( where all of the data is) you get this error, "Unfortunately, an error has occurred rendering this page. Please try again later." and the error shown in the earlier message.

Re: Problem with upgrade

Posted on: 03/12/10 02:36am
By: pamur

I changed permissions on a couple of directories and my error changed to a sql error.

On page: An SQL error has occurred. Please see error.log for details.
in log: u have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'Wink' at line 1. SQL in question: SELECT DISTINCT ft_name FROM gl_access,gl_features WHERE ft_id = acc_ft_id AND acc_grp_id IN ()

too late to go looking. Anybody got any ideas?

Geeklog - Forum
https://www.geeklog.net/forum/viewtopic.php?showtopic=91567